Bug 987906 - new vm - initial run - timezone by default selected option is named "null"
new vm - initial run - timezone by default selected option is named "null"
Product: oVirt
Classification: Community
Component: ovirt-engine-webadmin (Show other bugs)
Unspecified Unspecified
unspecified Severity low
: ---
: 3.4.0
Assigned To: Martin Betak
Ilanit Stein
Depends On: 988259 1000034
  Show dependency treegraph
Reported: 2013-07-24 07:56 EDT by Alissa
Modified: 2014-03-31 08:31 EDT (History)
6 users (show)

See Also:
Fixed In Version: ovirt-3.4.0-alpha1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-03-31 08:31:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
new vm timezone field (41.53 KB, image/png)
2013-07-24 07:56 EDT, Alissa
no flags Details
default time zone for rhel (200.34 KB, image/png)
2014-02-17 04:46 EST, Ilanit Stein
no flags Details
default time zone for windows (194.99 KB, image/png)
2014-02-17 04:47 EST, Ilanit Stein
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 17524 None None None Never

  None (edit)
Description Alissa 2013-07-24 07:56:49 EDT
Created attachment 777746 [details]
new vm timezone field

Description of problem:
new vm - initial run - timezone field by default selected option is named default:null.
It will be more user friendly to name it "none" - it is clear that the preselected option is the default, and null is not a user facing term.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Actual results:

Expected results:

Additional info:
Comment 1 Michal Skrivanek 2013-07-25 08:11:33 EDT
it should be empty and grayed out
Comment 2 Martin Betak 2013-08-05 11:52:02 EDT
This issue is being addressed as a part of large timezone-related code refactoring: http://gerrit.ovirt.org/#/c/17524/
Comment 3 Sandro Bonazzola 2014-01-13 08:56:24 EST
oVirt 3.4.0 alpha has been released including the fix for this issue.
Comment 4 Ilanit Stein 2014-02-17 04:45:03 EST
Verified on ovirt-engine-3.4.0-0.7.beta2.el6.noarch.
The timezone is grayed out, and for both RHEL and windows it shows GMT.
Comment 5 Ilanit Stein 2014-02-17 04:46:49 EST
Created attachment 864021 [details]
default time zone for rhel
Comment 6 Ilanit Stein 2014-02-17 04:47:26 EST
Created attachment 864022 [details]
default time zone for windows
Comment 7 Sandro Bonazzola 2014-03-31 08:31:15 EDT
this is an automated message: moving to Closed CURRENT RELEASE since oVirt 3.4.0 has been released

Note You need to log in before you can comment on or make changes to this bug.